# Class RoomCrypto.DerivedKeys | EchoHub Documentation

# Class RoomCrypto.DerivedKeys

Namespace
  EchoHub.Core.Security

Assembly
  EchoHub.Core.dll

    public sealed record RoomCrypto.DerivedKeys : IEquatable<RoomCrypto.DerivedKeys>

Inheritance
  object
  RoomCrypto.DerivedKeys

Implements
  IEquatable<RoomCrypto.DerivedKeys>

Inherited Members
  object.GetType()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### DerivedKeys(string, byte[])

    public DerivedKeys(string AuthKeyHex, byte[] KeyEncryptionKey)

#### Parameters

`AuthKeyHex` string
`KeyEncryptionKey` byte[]

## Properties

### AuthKeyHex

    public string AuthKeyHex { get; init; }

#### Property Value

string

### KeyEncryptionKey

    public byte[] KeyEncryptionKey { get; init; }

#### Property Value

byte[]

## Methods

### Deconstruct(out string, out byte[])

    public void Deconstruct(out string AuthKeyHex, out byte[] KeyEncryptionKey)

#### Parameters

`AuthKeyHex` string
`KeyEncryptionKey` byte[]

### Equals(DerivedKeys?)

    public bool Equals(RoomCrypto.DerivedKeys? other)

#### Parameters

`other` RoomCrypto.DerivedKeys

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(DerivedKeys?, DerivedKeys?)

    public static bool operator ==(RoomCrypto.DerivedKeys? left, RoomCrypto.DerivedKeys? right)

#### Parameters

`left` RoomCrypto.DerivedKeys
`right` RoomCrypto.DerivedKeys

#### Returns

bool

### operator !=(DerivedKeys?, DerivedKeys?)

    public static bool operator !=(RoomCrypto.DerivedKeys? left, RoomCrypto.DerivedKeys? right)

#### Parameters

`left` RoomCrypto.DerivedKeys
`right` RoomCrypto.DerivedKeys

#### Returns

bool